Description

Foreman installer failes because it can't install foreman-postgresql

SCL repo config is in place and after aborting the installer and running yum clean all it does proceed as expected.

This is most probably a dependency issue.

[root@localhost ~]# foreman-installer

/Stage[main]/Foreman::Install/Package[foreman-postgresql]/ensure: change from absent to present failed: Execution of '/usr/bin/yum

-d 0 -e 0 -y install foreman-postgresql' returned 1:

Installing             info: RESOURCE Apache::Mod[alias]                  [25%] [.........                          

]^C/usr/lib/ruby/gems/1.8/gems/kafo-0.6.5/lib/kafo/kafo_configure.rb:317:in `each': Interrupt

from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.5/lib/kafo/kafo_configure.rb:317:in `run_installation'

from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.5/lib/kafo/kafo_configure.rb:315:in `spawn'

from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.5/lib/kafo/kafo_configure.rb:315:in `run_installation'

from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.5/lib/kafo/kafo_configure.rb:109:in `execute'

from /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:68:in `run'

from /usr/lib/ruby/gems/1.8/gems/clamp-0.6.2/lib/clamp/command.rb:126:in `run'

from /usr/lib/ruby/gems/1.8/gems/kafo-0.6.5/lib/kafo/kafo_configure.rb:116:in `run'

from /usr/sbin/foreman-installer:58

History

#1 - 11/26/2014 08:21 AM - Dominic Cleal

My only guess as to the cause, is that some metadata already existed in /var/cache/yum for the "SCL" repository before it was added with

centos-release-SCL.  (Maybe it'd been configured already recently, or already existed with another baseurl?)

The module could perhaps run yum clean through a refreshonly exec, chained so it runs when foreman::install::repos/extras changes.

#2 - 11/26/2014 08:24 AM - Kris Buytaert

Deployment was twice on a fresh box where there were not SCL repos defined before the foremaninstaller started it's work.

#3 - 11/26/2014 08:31 AM - Dominic Cleal

Error Downloading Packages:

  ruby193-ruby-1.9.3.484-49.el6.centos.alt.x86_64: failure: ruby193/ruby193-ruby-1.9.3.484-49.el6.centos.alt.x

86_64.rpm from scl: [Errno 256] No more mirrors to try.

  ruby193-ruby-libs-1.9.3.484-49.el6.centos.alt.x86_64: failure: ruby193/ruby193-ruby-libs-1.9.3.484-49.el6.ce

ntos.alt.x86_64.rpm from scl: [Errno 256] No more mirrors to try.

  1:ruby193-rubygem-actionmailer-3.2.8-1.el6.centos.alt.noarch: failure: ruby193/ruby193-rubygem-actionmailer-

3.2.8-1.el6.centos.alt.noarch.rpm from scl: [Errno 256] No more mirrors to try.

  ruby193-ruby-irb-1.9.3.484-49.el6.centos.alt.noarch: failure: ruby193/ruby193-ruby-irb-1.9.3.484-49.el6.cent

os.alt.noarch.rpm from scl: [Errno 256] No more mirrors to try.

#4 - 05/19/2017 09:10 AM - Anonymous

can this be closed? I think it's either solved by now or out of scope...
#5 - 10/06/2017 11:56 AM - Ewoud Kohl van Wijngaarden

- Status changed from New to Rejected

I agree this can be closed now.
